## kservice 5.80.0

=== debian/changelog ===
kservice (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:09:26 +0000

kservice (5.79.0-0ubuntu1) hirsute; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.79.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:23:34 +0000

kservice (5.78.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Do not adopt group breaks.
    - Keep our symbols file.

 -- Rik Mills <rikmills@kde.org>  Mon, 18 Jan 2021 11:03:52 +0000

kservice (5.78.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.78.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jan 2021 09:58:01 +0000

kservice (5.77.0b-0ubuntu2) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Bumped tarball version due to upstream respins.
    - Kubuntu Vcs fields.
    - Do not adopt group breaks.
    - Keep our symbols file.

 -- Rik Mills <rikmills@kde.org>  Wed, 06 Jan 2021 14:04:03 +0000

kservice (5.77.0b-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.77.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Dec 2020 20:11:45 +0000

kservice (5.76.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.75.0)
  * New upstream release (5.76.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Nov 2020 13:24:21 +0000

=== debian/control ===
Source: kservice
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: bison (>= 2.4.1~),
               cmake (>= 3.5~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.80.0~),
               flex,
               graphviz,
               libkf5config-dev (>= 5.80.0~),
               libkf5coreaddons-dev (>= 5.80.0~),
               libkf5crash-dev (>= 5.80.0~),
               libkf5dbusaddons-dev (>= 5.80.0~),
               libkf5doctools-dev (>= 5.80.0~),
               libkf5i18n-dev (>= 5.80.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.14.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/kservice
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kservice
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kservice
Rules-Requires-Root: no

Package: libkf5service-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5service5 (<= 5.15)
Replaces: libkf5service5 (<= 5.15)
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
 .
 This package contains kbuildsycoca5.

Package: libkf5service-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
 .
 This package contains shared data files.

Package: libkf5service-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5config-dev (>= 5.80.0~),
         libkf5coreaddons-dev (>= 5.80.0~),
         libkf5dbusaddons-dev (>= 5.80.0~),
         libkf5i18n-dev (>= 5.80.0~),
         libkf5service5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5service-doc (= ${source:Version})
Breaks: kio-dev (<< 5.28),
        libkf5service5 (<< 5.12.0~),
        plasma-framework-dev (<< 5.28),
Replaces: libkf5service5 (<< 5.12.0~)
Description: development files for kservice
 Application framework for file type association
 and plugin locating.
 .
 Contains development files for kservice.

Package: libkf5service-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Advanced plugin and service introspection (documentation)
 Application framework for file type association
 and plugin locating.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5service5
Architecture: any
Multi-Arch: same
Depends: libkf5service-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5service-bin (= ${binary:Version})
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.

## kservice 5.86.0

=== debian/changelog ===
kservice (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:49:31 +0100

kservice (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:28:56 +0100

kservice (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 09:01:48 +0100

kservice (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:18:52 +0100

kservice (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:58:33 +0100

kservice (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:30:59 +0100

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
                cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
                flex,
                graphviz,
-               libkf5config-dev (>= 5.80.0~),
-               libkf5coreaddons-dev (>= 5.80.0~),
-               libkf5crash-dev (>= 5.80.0~),
-               libkf5dbusaddons-dev (>= 5.80.0~),
-               libkf5doctools-dev (>= 5.80.0~),
-               libkf5i18n-dev (>= 5.80.0~),
+               libkf5config-dev (>= 5.86.0~),
+               libkf5coreaddons-dev (>= 5.86.0~),
+               libkf5crash-dev (>= 5.86.0~),
+               libkf5dbusaddons-dev (>= 5.86.0~),
+               libkf5doctools-dev (>= 5.86.0~),
+               libkf5i18n-dev (>= 5.86.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.14.0~),
@@ -53,10 +53,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5config-dev (>= 5.80.0~),
-         libkf5coreaddons-dev (>= 5.80.0~),
-         libkf5dbusaddons-dev (>= 5.80.0~),
-         libkf5i18n-dev (>= 5.80.0~),
+Depends: libkf5config-dev (>= 5.86.0~),
+         libkf5coreaddons-dev (>= 5.86.0~),
+         libkf5dbusaddons-dev (>= 5.86.0~),
+         libkf5i18n-dev (>= 5.86.0~),
          libkf5service5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},

## kservice 5.92.0

=== autotests/CMakeLists.txt ===
include(ECMAddTests)

########### unittests ###############

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Concurrent Test)

macro(KSERVICE_UNIT_TESTS)
  foreach(_testname ${ARGN})
    ecm_add_test(${_testname}.cpp TEST_NAME ${_testname}
        LINK_LIBRARIES KF5::Service Qt${QT_MAJOR_VERSION}::Test Qt${QT_MAJOR_VERSION}::Concurrent Qt${QT_MAJOR_VERSION}::Xml)
    target_compile_definitions(${_testname} PRIVATE -DKBUILDSYCOCAEXE=\"$<TARGET_FILE:kbuildsycoca5>\")
  endforeach()
endmacro(KSERVICE_UNIT_TESTS)

kservice_unit_tests(
 ksycocatest
 ksycoca_xdgdirstest
 ksycocadicttest
 ksycocathreadtest
 kservicetest
 kapplicationtradertest
)

if(UNIX AND
  NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND
   EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS 5.89.0)
  kservice_unit_tests(ktoolinvocation_x11test)
endif()

if(NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND
   EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS 5.82.0)
   kservice_unit_tests(kplugintradertest)
endif()
if(NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND
   EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS 5.87.0)
   kservice_unit_tests(kautostarttest)
endif()

# the test plays with the timestamp of ~/.qttest/share/kservicetypes5, and with the ksycoca file, other tests can collide
set_tests_properties(ksycocatest PROPERTIES RUN_SERIAL TRUE)
# KServiceTest::testAllServices can fail if any service is deleted while the test runs
set_tests_properties(kservicetest PROPERTIES RUN_SERIAL TRUE)
# This test deletes ~/.qttest/share/applications
set_tests_properties(kapplicationtradertest PROPERTIES RUN_SERIAL TRUE)

target_sources(kapplicationtradertest PUBLIC
  ${CMAKE_CURRENT_SOURCE_DIR}/../src/services/ktraderparsetree.cpp
)

if(NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND
   EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS 5.90.0)
    kservice_unit_tests(kplugininfotest)

    add_library(fakeplugin MODULE nsaplugin.cpp)
    ecm_mark_as_test(fakeplugin)
    target_link_libraries(fakeplugin KF5::Service)


    # generate new-style and old-style JSON from the .desktop file
    file(COPY fakeplugin.desktop DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
    file(RENAME ${CMAKE_CURRENT_BINARY_DIR}/fakeplugin.desktop ${CMAKE_CURRENT_BINARY_DIR}/fakeplugin_json_old.desktop)
    kcoreaddons_desktop_to_json(fakeplugin ${CMAKE_CURRENT_BINARY_DIR}/fakeplugin_json_old.desktop COMPAT_MODE)

    file(COPY fakeplugin.desktop DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
    file(RENAME ${CMAKE_CURRENT_BINARY_DIR}/fakeplugin.desktop ${CMAKE_CURRENT_BINARY_DIR}/fakeplugin_json_new.desktop)
    kcoreaddons_desktop_to_json(fakeplugin ${CMAKE_CURRENT_BINARY_DIR}/fakeplugin_json_new.desktop)
endif()

######### kmimeassociationstest ########

set(kmimeassociationstest_SRCS kmimeassociationstest.cpp ../src/sycoca/kmimeassociations.cpp)
ecm_qt_declare_logging_category(kmimeassociationstest_SRCS
    HEADER sycocadebug.h
    IDENTIFIER SYCOCA
    CATEGORY_NAME kf.service.sycoca
)

ecm_add_test(${kmimeassociationstest_SRCS} TEST_NAME kmimeassociationstest
             LINK_LIBRARIES KF5::Service Qt${QT_MAJOR_VERSION}::Test Qt${QT_MAJOR_VERSION}::Xml)

=== tests/pluginlocator/CMakeLists.txt ===
project("plugintest")

include(ECMAddTests)

ecm_add_test(plugintest.cpp main.cpp
             TEST_NAME kservice-pluginloadertest
	     LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Core KF5::Service)

=== debian/changelog ===
kservice (5.92.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.92.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:28:44 +0000

kservice (5.91.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 17:09:56 +0000

kservice (5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:48:58 +0000

kservice (5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:17:41 +0000

kservice (5.88.0-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Keep our breaks/replaces.
    - Keep our symbols file.
    - Lintian override for:
      + libkf5service5: symbols-declares-dependency-on-other-package
        libkf5service-bin (libKF5Service.so.5)

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 11:27:32 +0000

kservice (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:41 +0900

kservice (5.88.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.88.0)
  * Update lintian.

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Nov 2021 18:20:28 +0000

kservice (5.87.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.87.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 11 Nov 2021 11:07:18 +0000

kservice (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 11:00:37 +0900

kservice (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:48 +0900

kservice (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:05:42 +0900

kservice (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:09 +0900

kservice (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:24:19 +0900

kservice (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Drop a symbol that is save to be dropped.
    (IRC communication from RikMills that according to David Faure (KDE fw release guy)
    the vanishing can be ignored.)

 -- Norbert Preining <norbert@preining.info>  Sun, 09 May 2021 01:39:12 +0900

kservice (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:20 +0900

kservice (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:35 +0900

kservice (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Remove graphviz from build depends.
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:29 +0900

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,27 @@
 Source: kservice
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>
-Build-Depends: bison (>= 2.4.1~),
-               cmake (>= 3.5~),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
+Build-Depends: bison (>= 3.0~),
+               cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.86.0~),
+               extra-cmake-modules (>= 5.92.0~),
                flex,
-               graphviz,
-               libkf5config-dev (>= 5.86.0~),
-               libkf5coreaddons-dev (>= 5.86.0~),
-               libkf5crash-dev (>= 5.86.0~),
-               libkf5dbusaddons-dev (>= 5.86.0~),
-               libkf5doctools-dev (>= 5.86.0~),
-               libkf5i18n-dev (>= 5.86.0~),
+               libkf5config-dev (>= 5.92.0~),
+               libkf5coreaddons-dev (>= 5.92.0~),
+               libkf5crash-dev (>= 5.92.0~),
+               libkf5dbusaddons-dev (>= 5.92.0~),
+               libkf5doctools-dev (>= 5.92.0~),
+               libkf5i18n-dev (>= 5.92.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.14.0~),
+               qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/kservice
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kservice
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kservice
@@ -53,10 +52,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5config-dev (>= 5.86.0~),
-         libkf5coreaddons-dev (>= 5.86.0~),
-         libkf5dbusaddons-dev (>= 5.86.0~),
-         libkf5i18n-dev (>= 5.86.0~),
+Depends: libkf5config-dev (>= 5.92.0~),
+         libkf5coreaddons-dev (>= 5.92.0~),
+         libkf5dbusaddons-dev (>= 5.92.0~),
+         libkf5i18n-dev (>= 5.92.0~),
          libkf5service5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
@@ -87,7 +86,7 @@
 Multi-Arch: same
 Depends: libkf5service-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Recommends: libkf5service-bin (= ${binary:Version})
 Description: Advanced plugin and service introspection
  Application framework for file type association

## kservice 5.98.0

=== debian/changelog ===
kservice (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:33:37 +0100

kservice (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:05:58 +0100

kservice (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)
  * Update symbols.
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:31:40 +0100

kservice (5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:57:27 +0100

kservice (5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)
  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:21:14 +0100

kservice (5.93.0a-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:24:36 +0100

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.92.0~),
+               extra-cmake-modules (>= 5.98.0~),
                flex,
-               libkf5config-dev (>= 5.92.0~),
-               libkf5coreaddons-dev (>= 5.92.0~),
-               libkf5crash-dev (>= 5.92.0~),
-               libkf5dbusaddons-dev (>= 5.92.0~),
-               libkf5doctools-dev (>= 5.92.0~),
-               libkf5i18n-dev (>= 5.92.0~),
+               libkf5config-dev (>= 5.98.0~),
+               libkf5coreaddons-dev (>= 5.98.0~),
+               libkf5crash-dev (>= 5.98.0~),
+               libkf5dbusaddons-dev (>= 5.98.0~),
+               libkf5doctools-dev (>= 5.98.0~),
+               libkf5i18n-dev (>= 5.98.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -52,10 +52,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5config-dev (>= 5.92.0~),
-         libkf5coreaddons-dev (>= 5.92.0~),
-         libkf5dbusaddons-dev (>= 5.92.0~),
-         libkf5i18n-dev (>= 5.92.0~),
+Depends: libkf5config-dev (>= 5.98.0~),
+         libkf5coreaddons-dev (>= 5.98.0~),
+         libkf5dbusaddons-dev (>= 5.98.0~),
+         libkf5i18n-dev (>= 5.98.0~),
          libkf5service5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},

## kservice 5.102.0

=== debian/changelog ===
kservice (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.
  * Update symbols from build for 5.102.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:07 +0100

kservice (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.101.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:31 +0100

kservice (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:02 +0100

kservice (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:45 +0200

kservice (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:36 +0200

kservice (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.
  * Update symbols from build for 5.96.0.
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:05 +0200

kservice (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:05 +0200

kservice (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:47 +0200

kservice (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Add lintian override for libkf5service5 dependency on ibkf5service-bin.
  * Update symbols.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:43 +0100

=== debian/control ===
Source: kservice
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: bison (>= 2:3.0~),
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.102.0~),
               flex,
               libkf5config-dev (>= 5.102.0~),
               libkf5coreaddons-dev (>= 5.102.0~),
               libkf5crash-dev (>= 5.85.0~),
               libkf5dbusaddons-dev (>= 5.102.0~),
               libkf5doctools-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kservice
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kservice
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kservice.git
Rules-Requires-Root: no

Package: libkf5service-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: baloo-kf5 (<< 5.42),
        kded5 (<< 5.54),
        kdesignerplugin (<< 5.42),
        kinit (<< 5.54),
        kio (<< 5.54),
        kross (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5declarative5 (<< 5.42),
        libkf5emoticons-bin (<< 5.42),
        libkf5emoticons5 (<< 5.54),
        libkf5kcmutils5 (<< 5.54),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml-bin (<< 5.54),
        libkf5khtml5 (<< 5.54),
        libkf5kiocore5 (<< 5.54),
        libkf5kiofilewidgets5 (<< 5.42),
        libkf5kiogui5 (<< 5.42),
        libkf5kiowidgets5 (<< 5.54),
        libkf5krossui5 (<< 5.42),
        libkf5mediaplayer5 (<< 5.42),
        libkf5newstuff5 (<< 5.54),
        libkf5notifyconfig5 (<< 5.42),
        libkf5parts-plugins (<< 5.42),
        libkf5parts5 (<< 5.54),
        libkf5people5 (<< 5.54),
        libkf5peoplewidgets5 (<< 5.54),
        libkf5plasma5 (<< 5.54),
        libkf5plasmaquick5 (<< 5.54),
        libkf5runner5 (<< 5.54),
        libkf5service5 (<= 5.15),
        libkf5su5 (<< 5.54),
        libkf5texteditor5 (<< 5.42),
        libkf5textwidgets5 (<< 5.54),
        libkf5wallet-bin (<< 5.54),
        libkf5webkit5 (<< 5.54),
        libkf5xmlrpcclient5 (<< 5.42),
        plasma-framework (<< 5.54),
        qml-module-org-kde-kio (<< 5.54),
        qml-module-org-kde-runnermodel (<< 5.42),
Replaces: libkf5service5 (<= 5.15)
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
 .
 This package contains kbuildsycoca5.

Package: libkf5service-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
 .
 This package contains shared data files.

Package: libkf5service-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5config-dev (>= 5.102.0~),
         libkf5coreaddons-dev (>= 5.102.0~),
         libkf5dbusaddons-dev (>= 5.102.0~),
         libkf5i18n-dev (>= 5.102.0~),
         libkf5service5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5service-doc (= ${source:Version})
Breaks: kded5-dev (<< 5.54),
        kio-dev (<< 5.28),
        libkf5emoticons-dev (<< 5.54),
        libkf5kcmutils-dev (<< 5.54),
        libkf5kio-dev (<< 5.54),
        libkf5plasma-dev (<< 5.54),
        libkf5service5 (<< 5.12.0~),
        libkf5textwidgets-dev (<< 5.54),
        plasma-framework-dev (<< 5.28),
Replaces: libkf5service5 (<< 5.12.0~)
Description: development files for kservice
 Application framework for file type association
 and plugin locating.
 .
 Contains development files for kservice.

Package: libkf5service-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Advanced plugin and service introspection (documentation)
 Application framework for file type association
 and plugin locating.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5service5
Architecture: any
Multi-Arch: same
Depends: libkf5service-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5service-bin (= ${binary:Version})
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
Breaks: baloo-kf5 (<< 5.42),
        kded5 (<< 5.54),
        kdesignerplugin (<< 5.42),
        kinit (<< 5.54),
        kio (<< 5.54),
        kross (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5declarative5 (<< 5.42),
        libkf5emoticons-bin (<< 5.42),
        libkf5emoticons5 (<< 5.54),
        libkf5kcmutils5 (<< 5.54),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml-bin (<< 5.54),
        libkf5khtml5 (<< 5.54),
        libkf5kiocore5 (<< 5.54),
        libkf5kiofilewidgets5 (<< 5.42),
        libkf5kiogui5 (<< 5.42),
        libkf5kiowidgets5 (<< 5.54),
        libkf5krossui5 (<< 5.42),
        libkf5mediaplayer5 (<< 5.42),
        libkf5newstuff5 (<< 5.54),
        libkf5notifyconfig5 (<< 5.42),
        libkf5parts-plugins (<< 5.42),
        libkf5parts5 (<< 5.54),
        libkf5people5 (<< 5.54),
        libkf5peoplewidgets5 (<< 5.54),
        libkf5plasma5 (<< 5.54),
        libkf5plasmaquick5 (<< 5.54),
        libkf5runner5 (<< 5.54),
        libkf5su5 (<< 5.54),
        libkf5texteditor5 (<< 5.42),
        libkf5textwidgets5 (<< 5.54),
        libkf5wallet-bin (<< 5.54),
        libkf5webkit5 (<< 5.54),
        libkf5xmlrpcclient5 (<< 5.42),
        plasma-framework (<< 5.54),
        qml-module-org-kde-kio (<< 5.54),
        qml-module-org-kde-runnermodel (<< 5.42),

## kservice 5.103.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.103.0") # handled by release scripts
set(KF_DEP_VERSION "5.103.0") # handled by release scripts
project(KService VERSION ${KF_VERSION})

# Disallow in-source build
if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
   message(FATAL_ERROR "KService requires an out of source build. Please create a separate build directory and run 'cmake path_to_kservice [options]' there.")
endif()

# ECM setup
include(FeatureSummary)
find_package(ECM 5.103.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)
include(ECMQtDeclareLoggingCategory)
include(ECMGenerateExportHeader)
include(ECMDeprecationSettings)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX KSERVICE
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kservice_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ServiceConfigVersion.cmake"
                  SOVERSION 5)

set(APPLICATIONS_MENU_NAME applications.menu
    CACHE STRING "Name to install the applications.menu file as.")

# Dependencies
set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Xml)
if (NOT ANDROID)
  find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
endif()

find_package(KF5Config ${KF_DEP_VERSION} CONFIG REQUIRED)
find_package(KF5CoreAddons ${KF_DEP_VERSION} CONFIG REQUIRED)
if (NOT ANDROID)
  find_package(KF5DBusAddons ${KF_DEP_VERSION} CONFIG REQUIRED)
endif()
find_package(KF5I18n ${KF_DEP_VERSION} CONFIG REQUIRED)
find_package(KF5DocTools ${KF_DEP_VERSION} CONFIG)

find_package(FLEX REQUIRED)
set_package_properties(FLEX PROPERTIES
    URL "http://flex.sourceforge.net"
    DESCRIPTION "Fast Lexical Analyzer"
    TYPE REQUIRED
    PURPOSE "Required for the Trader parser"
)

find_package(BISON 3.0 REQUIRED)
set_package_properties(BISON PROPERTIES
    URL "http://www.gnu.org/software/bison"
    DESCRIPTION "general-purpose parser generator"
    TYPE REQUIRED
    PURPOSE "Required for the Trader parser"
)

add_definitions(-DTRANSLATION_DOMAIN=\"kservice5\")

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.97.0
    KCOREADDONS 5.78 # for KPluginInfo::dependencies
)

ki18n_install(po)

if (KF5DocTools_FOUND)
    kdoctools_install(po)
endif()

if (KF5DocTools_FOUND)
    add_subdirectory(docs)
endif()

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Service")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Service_QCH
        FILE KF5ServiceQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5ServiceQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5ServiceConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5ServiceConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                             )

install(EXPORT KF5ServiceTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5ServiceTargets.cmake NAMESPACE KF5:: )

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/KF5ServiceConfig.cmake"
              "${CMAKE_CURRENT_BINARY_DIR}/KF5ServiceConfigVersion.cmake"
              "${CMAKE_CURRENT_SOURCE_DIR}/KF5ServiceMacros.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
       )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kservice_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KService COMPONENT Devel)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
include(CheckSymbolExists)
include(CheckFunctionExists)
check_function_exists(mmap HAVE_MMAP)
check_symbol_exists(posix_madvise "sys/mman.h" HAVE_MADVISE)
configure_file(config-ksycoca.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-ksycoca.h )

add_library(KF5Service)
add_library(KF5::Service ALIAS KF5Service)

set_target_properties(KF5Service PROPERTIES
    VERSION     ${KSERVICE_VERSION}
    SOVERSION   ${KSERVICE_SOVERSION}
    EXPORT_NAME Service
)

target_sources(KF5Service PRIVATE
   services/kautostart.cpp
   services/kapplicationtrader.cpp
   services/kmimetypefactory.cpp
   services/kmimetypetrader.cpp
   services/kservice.cpp
   services/kserviceaction.cpp
   services/kservicefactory.cpp
   services/kservicegroup.cpp
   services/kservicegroupfactory.cpp
   services/kserviceoffer.cpp
   services/kservicetype.cpp
   services/kservicetypefactory.cpp
   services/kservicetypeprofile.cpp
   services/kservicetypetrader.cpp
   services/ktraderparse.cpp
   services/ktraderparsetree.cpp
   services/kplugininfo.cpp
   sycoca/ksycoca.cpp
   sycoca/ksycocadevices.cpp
   sycoca/ksycocadict.cpp
   sycoca/ksycocaentry.cpp
   sycoca/ksycocafactory.cpp
   sycoca/kmemfile.cpp
   sycoca/kbuildmimetypefactory.cpp
   sycoca/kbuildservicetypefactory.cpp
   sycoca/kbuildservicefactory.cpp
   sycoca/kbuildservicegroupfactory.cpp
   sycoca/kbuildsycoca.cpp
   sycoca/kctimefactory.cpp
   sycoca/kmimeassociations.cpp
   sycoca/vfolder_menu.cpp
   plugin/kplugintrader.cpp

   kservice.qrc
)

if(NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND
   EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS 5.89.0)
   target_sources(KF5Service PRIVATE kdeinit/ktoolinvocation.cpp)
   if (WIN32)
        target_sources(KF5Service PRIVATE kdeinit/ktoolinvocation_win.cpp)
    endif()
    if (UNIX)
        target_sources(KF5Service PRIVATE kdeinit/ktoolinvocation_x11.cpp)
    endif()
endif()

if (TARGET Qt${QT_MAJOR_VERSION}::DBus)
    target_sources(KF5Service PRIVATE
        plugin/kdbusservicestarter.cpp
    )
endif()

ecm_qt_declare_logging_category(KF5Service
    HEADER servicesdebug.h
    IDENTIFIER SERVICES
    CATEGORY_NAME kf.service.services
    OLD_CATEGORY_NAMES kf5.kservice.services
    EXPORT KSERVICE
    DESCRIPTION "service (kservice lib)"
)
ecm_qt_declare_logging_category(KF5Service
    HEADER sycocadebug.h
    IDENTIFIER SYCOCA
    CATEGORY_NAME kf.service.sycoca
    OLD_CATEGORY_NAMES kf5.kservice.sycoca
    EXPORT KSERVICE
    DESCRIPTION "sycoca (kservice)"
)

bison_target(TraderParser
             services/yacc.y
             ${CMAKE_CURRENT_BINARY_DIR}/yacc.c
             COMPILE_FLAGS "-p kiotrader -d"
)
flex_target(TraderLexer
            services/lex.l
            ${CMAKE_CURRENT_BINARY_DIR}/lex.c
            COMPILE_FLAGS "-Pkiotrader -B -i"
)
set_property(SOURCE ${CMAKE_CURRENT_BINARY_DIR}/lex.c ${CMAKE_CURRENT_BINARY_DIR}/yacc.c PROPERTY SKIP_AUTOMOC ON)
add_flex_bison_dependency(TraderLexer TraderParser)
target_sources(KF5Service PRIVATE
    ${BISON_TraderParser_OUTPUTS}
    ${FLEX_TraderLexer_OUTPUTS}
)
set_property(SOURCE ${CMAKE_CURRENT_BINARY_DIR}/yacc.h PROPERTY SKIP_AUTOMOC TRUE) # don't run automoc on this file

# kservice cannot depend on kinit (because kinit->kio->kservice), so we need a copy of org.kde.KLauncher.xml here.
# And I don't want to have it here as a source file (who wants to edit dbus xml by hand), so it can be
# generated from klauncher's implementation header.
if (TARGET Qt${QT_MAJOR_VERSION}::DBus)
    set(kservice_dbus_SRCS)
    qt_add_dbus_interface(kservice_dbus_SRCS kdeinit/org.kde.KLauncher.xml klauncher_iface)
    target_sources(KF5Service PRIVATE ${kservice_dbus_SRCS})
endif()

if(WIN32)
    #unistd.h does not exist on windows
    target_compile_definitions(KF5Service PRIVATE YY_NO_UNISTD_H=1)
endif()
ecm_generate_export_header(KF5Service
    BASE_NAME KService
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 5.0 5.15 5.61 5.63 5.66 5.67 5.70 5.71 5.79 5.80 5.81 5.82 5.83 5.86 5.87 5.88 5.89 5.90 5.102
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)
set(kservice_includes
   ${CMAKE_CURRENT_BINARY_DIR}/.. # Since we publicly include kservice_version.h
   ${CMAKE_CURRENT_SOURCE_DIR}/services
   ${CMAKE_CURRENT_SOURCE_DIR}/sycoca
   ${CMAKE_CURRENT_SOURCE_DIR}/plugin
   ${CMAKE_CURRENT_SOURCE_DIR}/kdeinit
)
target_include_directories(KF5Service
    PUBLIC
        "$<BUILD_INTERFACE:${kservice_includes}>"
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KService>"
)

target_link_libraries(KF5Service
  PRIVATE
    KF5::I18n
    Qt${QT_MAJOR_VERSION}::Xml  # (for vfolder menu) QDomDocument
)

if(NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND
   EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS 5.94.0)
    target_link_libraries(KF5Service
    PUBLIC
        KF5::ConfigCore   # KConfig and friends
        KF5::CoreAddons   # KShell KPluginLoader
    )
else()
    target_link_libraries(KF5Service
    PUBLIC
        Qt${QT_MAJOR_VERSION}::Core
    PRIVATE
        KF5::ConfigCore   # KConfig and friends
        KF5::CoreAddons   # KShell KPluginLoader
    )
endif()

if (TARGET KF5::DBusAddons)
  target_link_libraries(KF5Service PRIVATE KF5::DBusAddons)  # KDEInitInterface
endif()

ecm_generate_headers(KService_HEADERS
  HEADER_NAMES
  KPluginTrader
  KDBusServiceStarter

  RELATIVE plugin REQUIRED_HEADERS KService_HEADERS
)
ecm_generate_headers(KService_HEADERS
  HEADER_NAMES
  KSycoca
  KSycocaEntry
  KSycocaType

  RELATIVE sycoca REQUIRED_HEADERS KService_HEADERS
)
ecm_generate_headers(KService_HEADERS
  HEADER_NAMES
  KToolInvocation

  RELATIVE kdeinit REQUIRED_HEADERS KService_HEADERS
)
ecm_generate_headers(KService_HEADERS
  HEADER_NAMES
  KApplicationTrader
  KAutostart
  KMimeTypeTrader
  KService
  KServiceAction
  KServiceGroup
  KServiceType
  KServiceTypeProfile
  KServiceTypeTrader
  KPluginInfo

  RELATIVE services REQUIRED_HEADERS KService_HEADERS
)

install(FILES
   services/kplugininfo.desktop # TODO move to qrc too, like application.desktop?
   services/application.desktop # KF6: TODO: stop installing this file, it's now bundled into the qrc
   DESTINATION ${KDE_INSTALL_KSERVICETYPESDIR}
)

# Local copy for the unittests
file(MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/bin/data/kservicetypes5)
add_custom_command(TARGET KF5Service PRE_BUILD COMMAND
    ${CMAKE_COMMAND} -E copy
    ${CMAKE_CURRENT_SOURCE_DIR}/services/kplugininfo.desktop
    ${CMAKE_BINARY_DIR}/bin/data/kservicetypes5) # not using KDE_INSTALL_KSERVICETYPESDIR because QStandardPaths wants "data" on Windows

if (WIN32)
install( FILES applications.menu  DESTINATION  ${KDE_INSTALL_DATAROOTDIR}/xdg/menus  RENAME ${APPLICATIONS_MENU_NAME} )
else ()
install( FILES applications.menu  DESTINATION  ${KDE_INSTALL_SYSCONFDIR}/xdg/menus  RENAME ${APPLICATIONS_MENU_NAME} )
endif ()

# Local copy for the unittests
file(MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/bin/data/menus)
add_custom_command(TARGET KF5Service PRE_BUILD COMMAND
    ${CMAKE_COMMAND} -E copy
    ${CMAKE_CURRENT_SOURCE_DIR}/applications.menu
    ${CMAKE_BINARY_DIR}/bin/data/menus/${APPLICATIONS_MENU_NAME})

install(TARGETS KF5Service EXPORT KF5ServiceTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
   "${CMAKE_CURRENT_BINARY_DIR}/kservice_export.h"
   ${KService_HEADERS}
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KService COMPONENT Devel
)

ecm_qt_install_logging_categories(
    EXPORT KSERVICE
    FILE kservice.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5Service_QCH
        NAME KService
        BASE_NAME KF5Service
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KService_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            KF5Config_QCH
            KF5CoreAddons_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
            ${kservice_includes}
        BLANK_MACROS
            KSERVICE_EXPORT
            KSERVICE_DEPRECATED
            KSERVICE_DEPRECATED_EXPORT
            "KSERVICE_DEPRECATED_VERSION(x, y, t)"
            "KSERVICE_DEPRECATED_VERSION_BELATED(x, y, xt, yt, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

add_subdirectory(kbuildsycoca)

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KService LIB_NAME KF5Service DEPS "KConfigCore" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/KService)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== src/kbuildsycoca/CMakeLists.txt ===
include(ECMMarkNonGuiExecutable)

# We need to add a '5' so that kde3/kde4 apps running kbuildsycoca don't run this one.
add_executable(kbuildsycoca5)

# Mark it as non-gui so we won't create an app bundle on Mac OS X
ecm_mark_nongui_executable(kbuildsycoca5)

target_sources(kbuildsycoca5 PRIVATE
   kbuildsycoca_main.cpp
)

target_link_libraries(kbuildsycoca5
   KF5::Service
   KF5::CoreAddons # KAboutData
   KF5::I18n
   Qt${QT_MAJOR_VERSION}::Xml
)
install(TARGETS kbuildsycoca5 ${KF_INSTALL_TARGETS_DEFAULT_ARGS} )

=== debian/changelog ===
kservice (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:29 +0100

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.102.0~),
+               extra-cmake-modules (>= 5.103.0~),
                flex,
-               libkf5config-dev (>= 5.102.0~),
-               libkf5coreaddons-dev (>= 5.102.0~),
+               libkf5config-dev (>= 5.103.0~),
+               libkf5coreaddons-dev (>= 5.103.0~),
                libkf5crash-dev (>= 5.85.0~),
-               libkf5dbusaddons-dev (>= 5.102.0~),
-               libkf5doctools-dev (>= 5.102.0~),
-               libkf5i18n-dev (>= 5.102.0~),
+               libkf5dbusaddons-dev (>= 5.103.0~),
+               libkf5doctools-dev (>= 5.103.0~),
+               libkf5i18n-dev (>= 5.103.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -29,7 +29,7 @@
 
 Package: libkf5service-bin
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Breaks: baloo-kf5 (<< 5.42),
         kded5 (<< 5.54),
         kdesignerplugin (<< 5.42),
@@ -70,7 +70,7 @@
         plasma-framework (<< 5.54),
         qml-module-org-kde-kio (<< 5.54),
         qml-module-org-kde-runnermodel (<< 5.42),
-Replaces: libkf5service5 (<= 5.15)
+Replaces: libkf5service5 (<= 5.15),
 Description: Advanced plugin and service introspection
  Application framework for file type association
  and plugin locating.
@@ -80,7 +80,7 @@
 Package: libkf5service-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Advanced plugin and service introspection
  Application framework for file type association
  and plugin locating.
@@ -91,14 +91,14 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5config-dev (>= 5.102.0~),
-         libkf5coreaddons-dev (>= 5.102.0~),
-         libkf5dbusaddons-dev (>= 5.102.0~),
-         libkf5i18n-dev (>= 5.102.0~),
+Depends: libkf5config-dev (>= 5.103.0~),
+         libkf5coreaddons-dev (>= 5.103.0~),
+         libkf5dbusaddons-dev (>= 5.103.0~),
+         libkf5i18n-dev (>= 5.103.0~),
          libkf5service5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: libkf5service-doc (= ${source:Version})
+Recommends: libkf5service-doc (= ${source:Version}),
 Breaks: kded5-dev (<< 5.54),
         kio-dev (<< 5.28),
         libkf5emoticons-dev (<< 5.54),
@@ -108,7 +108,7 @@
         libkf5service5 (<< 5.12.0~),
         libkf5textwidgets-dev (<< 5.54),
         plasma-framework-dev (<< 5.28),
-Replaces: libkf5service5 (<< 5.12.0~)
+Replaces: libkf5service5 (<< 5.12.0~),
 Description: development files for kservice
  Application framework for file type association
  and plugin locating.
@@ -118,7 +118,7 @@
 Package: libkf5service-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: Advanced plugin and service introspection (documentation)
  Application framework for file type association
  and plugin locating.
@@ -132,7 +132,7 @@
 Depends: libkf5service-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: libkf5service-bin (= ${binary:Version})
+Recommends: libkf5service-bin (= ${binary:Version}),
 Description: Advanced plugin and service introspection
  Application framework for file type association
  and plugin locating.
